Bug 984752 - Fix AWS version 4 signature management
Fix AWS version 4 signature management
Product: Fedora EPEL
Classification: Fedora
Component: python-keystoneclient (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Jakub Ruzicka
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-15 17:39 EDT by Garrett Holmstrom
Modified: 2016-01-04 10:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 993416 (view as bug list)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 38784 None None None Never

  None (edit)
Description Garrett Holmstrom 2013-07-15 17:39:36 EDT
Description of problem:
I'm looking to update python-boto in EPEL 6 to a reasonably current version, but the version of python-keystoneclient there is coded against a bug in boto's signature version 4 code that was fixed in version 2.9.3.  Upstream recently committed a patch [1] for this; would you mind adding that to EPEL's python-keystoneclient package so we can add that to the update [2]?

Can you think of any other openstack components that this change might also affect?

Version-Release number of selected component (if applicable):

[1] https://github.com/openstack/python-keystoneclient/commit/4f53f935a40ad0c90c02a02a56c18825a3d14bdb
[2] https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10719
Comment 1 Jakub Ruzicka 2013-07-25 11:30:09 EDT
If I'm not mistaken, version 4 signature support was added by [1] which isn't present in 0.2.0.

However, RDO keystoneclient will be affected. After a discussion, Steven Hardy will propose a transitional hack to allow usage of both boto versions. So if possible, please wait with the update until this patch is accepted/rejected. 

I'll post more information here on how's it proceeding.

[1] https://github.com/openstack/python-keystoneclient/commit/5c37d85944d9eed73ec6dd6254842108386bcc4f
Comment 2 Jakub Ruzicka 2013-07-26 07:42:46 EDT
Patch proposed, waiting for reviews.
Comment 3 Fedora Update System 2013-08-05 13:49:15 EDT
python-keystoneclient-0.2.3-7.fc19 has been submitted as an update for Fedora 19.
Comment 4 Jakub Ruzicka 2013-08-05 13:56:57 EDT
Folsom in EPEL 6 isn't affected.

I backported Steven's transitional patch everywhere else (grizzly, havana @ Fedora and RDO) to prevent future problems.
Comment 5 Fedora Update System 2013-08-14 22:34:18 EDT
python-keystoneclient-0.2.3-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.